#1 - 11/11/2019 19:30 - Philippe May

Starting doc from in-between.

First, i migrated all domUs to buster: no issue. Pending in gisdb: migrate postgres from 9 to 11.

But main problem with dom0: stuck in booting with xen extensions. Vanilla Linux OK.

Found https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=932085:

--nounzip trick: not working

multiboot2 + module2 to multiboot + module (manually done at boot time): system starts.

#2 - 11/11/2019 19:44 - Philippe May

After xen boot:

root@dream:~# virsh start infra.csr.av 

error: Failed to start domain infra.csr.av

error: internal error: libxenlight failed to create new domain 'infra.csr.av'

 

That was simple: just update the boot parameters (with Virtual Machine Manager) to the new kernel & initrd path (/boot/vmlinuz-4.19.0-6-amd64 and

/boot/initrd.img-4.19.0-6-amd64)

#3 - 11/11/2019 19:58 - Philippe May

Leaving the server up and running for tonight.

Remains: proper grub config.to discard the multiboot2 + module2 in favor of multiboot + module (or get that brave new thing working)

Hint: see vi /etc/grub.d/20_linux_xen +219 and grub-file --is-x86-multiboot2 /boot/vmlinuz-4.19.0-6-amd64
#4 - 11/11/2019 20:04 - Philippe May

Seems it's a bug in grub 2.02: https://eengstrom.github.io/musings/booting-xen-on-ubuntu-via-grub-with-uefi

#5 - 12/11/2019 13:04 - Philippe May

- Status changed from New to Resolved

Patched /etc/grub.d/20_linux_xen (commenting out the offending lines related to multiboot2 and module2):

root@dream:~# diff /etc/grub.d*/20_linux_xen

217,221c217,220

< ## XXX: Phil for https://redmine.auroville.org.in/issues/9292: do not accept multiboot2 and module2

<     #if ($grub_file --is-x86-multiboot2 $current_xen); then

<     #xen_loader="multiboot2" 

<     #module_loader="module2" 

<     #else

---

>     if ($grub_file --is-x86-multiboot2 $current_xen); then

>     xen_loader="multiboot2" 

>     module_loader="module2" 

>     else

224c223

<     #fi

---

>     fi

 

Then:

update-grub

 

For postgis migration

Tried with pg_upgradecluster, but got an issue related to postgis 2.3 upgraded to 2.5: hack like in 

https://www.bostongis.com/blog/index.php?/archives/268-Using-pg_upgrade-to-upgrade-PostGIS-without-installing-an-older-version-of-PostGIS.html.

Then:

postgres@gisdb:~$ pg_upgradecluster -method=upgrade 9.6 main
#6 - 13/11/2019 12:29 - Philippe May

Final step for upgrading database with postgis extension:

psql avgis -c 'alter extension postgis update to "2.5.1"'
